%bcond_without check
%bcond_with bootstrap

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/uber-go/automaxprocs
%global goipath         go.uber.org/automaxprocs
%global forgeurl        https://github.com/uber-go/automaxprocs
Version:                1.6.0

%gometa

%global common_description %{expand:
Automatically set GOMAXPROCS to match Linux container CPU quota.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md

Name:           golang-uber-automaxprocs
Release:        %mkrel 1
Summary:        Automatically set GOMAXPROCS to match Linux container CPU quota
Group:          Development/Golang

License:        MIT
URL:            %{gourl}
Source:         %{gosource}
BuildArch:      noarch

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%gopkgfiles



%changelog
* Fri Apr 11 2025 pterjan <pterjan> 1.6.0-1.mga10
+ Revision: 2174783
- imported package golang-uber-automaxprocs

